package roneditor.objectnetview.edit.policies;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.NonResizableEditPolicy;
import org.eclipse.gef.requests.ChangeBoundsRequest;

import roneditor.objectnetview.commands.MoveONArcLabelCommand;
import ronmodel.ONArc;

public class ONArcLabelMovePolicy extends NonResizableEditPolicy {

	/**
	 * Erzeugt entsprechend der Position ein MoveONArcLabelCommand 
	 */
	@Override
	public Command getMoveCommand(final ChangeBoundsRequest request) {
		final ONArc arc = (ONArc) getHost().getParent().getModel();
		final Point delta = request.getMoveDelta();
		final MoveONArcLabelCommand command = new MoveONArcLabelCommand(arc, delta);
		return command;
	}

}