	/**
	 * @author jochen
	 */

package roneditor.ronview.commands;

import org.eclipse.draw2d.geometry.Dimension;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.commands.Command;

import ronmodel.BendPoint;
import ronmodel.HLArc;


public class AbstractHLBendpointCommand extends Command{
	
protected int index;
protected Point location;
protected HLArc hLArc;
protected Dimension d1, d2;
protected BendPoint bendPoint;


protected Dimension getFirstRelativeDimension(){
	return d1;
}
protected Dimension getSecondRelativeDimension(){
	return d2;
}
protected int getIndex(){
	return index;
}
protected Point getLocation(){
	return location;
}
protected HLArc getHLArc(){
	return hLArc;	
}
public void redo(){
	execute();
}
public void setRelativeDimensions(Dimension dim1, Dimension dim2){
	d1 = dim1;
	d2 = dim2;
}
public void setIndex(int i){
	index = i;
}
public void setLocation(Point p){
	location = p;
}
public void setHLArc(HLArc p){
	hLArc = p;
}

public BendPoint getBendPoint(){
	return bendPoint;
}

public void setBendPoint(BendPoint point){
	this.bendPoint = point;
}
}


