package roneditor.objectnetview;

import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.gef.tools.ConnectionCreationTool;

/**
 * Tool zum Erstellen von Mappings in einer Regel.
 * 
 * @author Mario
 */
public class MappingCreationTool extends ConnectionCreationTool {

	
	public MappingCreationTool() {
		super();
	}
	
	public MappingCreationTool(CreationFactory factory) {
		super(factory);
	}
	
	protected void executeCurrentCommand() {
		super.executeCurrentCommand();
	}
	
	@Override
	protected boolean handleFocusLost() {
		// Verhinderung das bei FocusLost, alles verloren geht.
		return false;
	}
	
	@Override
	protected boolean handleViewerExited() {
		//setTargetEditPart(null);
		return true;
	}
	
	@Override
	protected boolean handleMove() {
		if (isInState(STATE_CONNECTION_STARTED | STATE_INITIAL 
				| STATE_ACCESSIBLE_DRAG_IN_PROGRESS)) {
			updateTargetRequest();
			updateTargetUnderMouse();
			// Pfeil nicht anzeigen
			//showSourceFeedback();
			//showTargetFeedback();
			setCurrentCommand(getCommand());
		}
		return true;
	}

		
}