package roneditor.objectnetview.commands;

import org.eclipse.draw2d.geometry.Dimension;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.commands.Command;

import ronmodel.BendPoint;
import ronmodel.ONArc;


public class AbstractBendpointCommand extends Command{
	
protected int index;
protected Point location;
protected ONArc onArc;
protected Dimension d1, d2;
protected BendPoint bendPoint;


protected Dimension getFirstRelativeDimension(){
	return d1;
}
protected Dimension getSecondRelativeDimension(){
	return d2;
}
protected int getIndex(){
	return index;
}
protected Point getLocation(){
	return location;
}
protected ONArc getONArc(){
	return onArc;	
}
public void redo(){
	execute();
}
public void setRelativeDimensions(Dimension dim1, Dimension dim2){
	d1 = dim1;
	d2 = dim2;
}
public void setIndex(int i){
	index = i;
}
public void setLocation(Point p){
	location = p;
}
public void setONArc(ONArc p){
	onArc = p;
}
/*public void addBendpoint(int index,Bendpoint point){
	getBendpoints().add(index, point);
}*/
public BendPoint getBendPoint(){
	return bendPoint;
}

public void setBendPoint(BendPoint point){
	this.bendPoint = point;
}

}


